Subject: Re: bug#62575: 29.0.60; Tabs are not showing the right names of the buffers

From: Claudio Grondi <[email-masked]>
Date: Sat, 1 Apr 2023 13:19:51 +0200

Below the steps required to reproduce the bug:

1. ~ $ emacs -Q
2. Menu -> Options -> Show/Hide -> Tab Bar (gives Tab *scratch*)
3. 1x click on rightmost * in the Tab Bar to create a new Tab (gives 2x 
*scratch* Tabs)
4. With the rightmost (second) Tab open ~/.emacs (gives 1x *scratch* and 
1x .emacs Tabs)
5. 2x click on rightmost * in the Tab Bar to create twp new Tabs (gives 
1x *scratch* and 3x .emacs Tabs)
6. with rightmost Tab active kill the .emacs buffer [C-x k] (the Tabs 
label turns  to *scratch the other two Tabs labeled .emacs keep their 
labels, so there are 1x *scratch*, 2x .emacs, 1x *scratch* Tabs)
7. *click the second Tab labeled* .emacs' (result: the label of the Tab 
turns to *Messages*. the Tab Bar shows *scratch* *Messages* .emacs 
*scratch* )

The bug: the third Tab still keeps its  .emacs  label, the click on the 
second Tab labeled  .emacs  did not show the .emacs file, but the buffer 
*Messages*.

See also  https://emacs.stackexchange.com/a/76601/40171

On 4/1/23 07:37, Eli Zaretskii wrote:
>> Date: Fri, 31 Mar 2023 23:06:02 +0200
>> From: Claudio Grondi <[email-masked]>
>>
>> I have switched in between from gtk to lucid observing the mentioned issue.
>>
>> See
>> https://emacs.stackexchange.com/questions/76593/bug-or-feature-click-on-tab-does-not-give-the-buffer-with-the-shown-buffer-name
> Please always report bugs with all the details included in the
> report.  Please do NOT just cite a report posted elsewhere, but
> include all the details here.  We want our bug tracker to have all the
> information, and do not want to depend on some other site, which may
> or may not keep this information for the years to come.
>
>> This should be easy to reproduce, right?
> I don't know, because you didn't show the steps for reproducing the
> problem, neither here nor on SE.  The description on SE starts in the
> middle of a situation without telling how to get to that situation
> starting from "emacs -Q".  Can you describe those steps, please?
>
>> Can you reproduce it?
> Not if I try to do so naïvely.  Here's what I tried:
>
>    emacs -Q
>    M-x tab-bar-mode RET
>    click on the "+" to add a new tab
>    C-x C-f ~/.emacs RET
>
> Now I have two tabs: one showing "*scratch*", the other showing
> ".emacs".  Clicking on a tab causes Emacs to display the buffer whose
> name is on the tab I click.
>
> Does this mean the problem is not reproduced here?

No, you haven't created the situation shown in the images with 3x .emacs 
Tabs.

You ask probably only to force me to provide a textual description as I 
assume you know exactly that what you described can't show the buggy 
behavior.